summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTzafrir Cohen <tzafrir@debian.org>2013-09-02 20:51:03 +0300
committerTzafrir Cohen <tzafrir@debian.org>2013-09-02 20:54:21 +0300
commit20fe66453554f0b6db5becac73ef381c2a341464 (patch)
treea49abe43c152a215564ce7bc16cdd97e6ac60aab
parent777b3898bc5d620cef7989a5eaa4c78a49961dd7 (diff)
post- scripts: handle configuration files
-rwxr-xr-xdebian/postinst13
-rwxr-xr-xdebian/postrm13
2 files changed, 26 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100755
index 0000000..d622001
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+configure)
+ chown -R www-data: /var/lib/plinth /var/log/plinth
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/postrm b/debian/postrm
new file mode 100755
index 0000000..73d0629
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+purge)
+ rm -rf /var/log/plinth /var/lib/plinth
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0